---
title: URLSearchParams.sort()
slug: Web/API/URLSearchParams/sort
tags:
  - API
  - Method
  - Reference
  - URLSearchParams
  - sort
---
<p>{{APIRef("URL API")}}</p>

<p>The <code><strong>URLSearchParams.sort()</strong></code> method sorts all key/value pairs contained in this object in place and returns <code>undefined</code>. The sort order is according to unicode code points of the keys. This method uses a stable sorting algorithm (i.e. the relative order between key/value pairs with equal keys will be preserved).</p>

<p>{{availableinworkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">searchParams.sort();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code>.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js;highlight:[5]">// Create a test URLSearchParams object
var searchParams = new URLSearchParams("c=4&amp;a=2&amp;b=3&amp;a=1");

// Sort the key/value pairs
searchParams.sort();

// Display the sorted query string
console.log(searchParams.toString());
</pre>

<p>The result is:</p>

<pre>a=2&amp;a=1&amp;b=3&amp;c=4</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('URL', '#dom-urlsearchparams-sort','sort()')}}</td>
   <td>{{Spec2('URL')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.URLSearchParams.sort")}}</p>
</div>
